<?
include("../../conexion/class-sb-conexion.php");



$codigo_usuario=$_GET["us"];
$idco=$_GET["idco"];
$idma=$_GET["idma"];
$pe=$_GET["pe"];
$ed=$_GET["ed"];
$cr=$_GET["cr"];
$gr=$_GET["gr"];
$el=$_GET["el"];

	
if ($pe==1)

	{
	$con=0;
	$sql_busca = "SELECT * FROM sb_menu_autoriza WHERE id=$idma";
	//echo $sql_busca;
	$db = new sb_mysql();   
	$consulta = $db->consulta_free($sql_busca);
	while ($resultado = $db->sb_array($consulta))
	{$con+=1;}
	
        if ($con==0)
		{    
		$psql = "INSERT INTO sb_menu_autoriza (id_menu_nombres, id_usuario, id_empresa, editar, crear, grabar, eliminar) VALUES ($idco, $id2, $empresa_global, $ed, $cr, $gr, $el)";
		
		//echo $psql;
		$consulta = $db->consulta_free($psql);
		}
		else
		{
		$psql = "UPDATE sb_menu_autoriza SET editar=$ed, crear=$cr, grabar=$gr, eliminar=$el WHERE id =$idma";
		$consulta = $db->consulta_free($psql);
		}
	}
else 
	{
   	$con=0;
	$sql_busca = "SELECT * FROM sb_menu_autoriza WHERE id=$idma ";
	//$res_busca =  mysql_query($sql_busca, $enlace);	
	//while (mysql_fetch_object ($res_busca))
	
	$db = new sb_mysql();   
	$consulta = $db->consulta_free($sql_busca);
	while ($resultado = $db->sb_array($consulta))
	{$con+=1;}
	if ($con!=0){
	$psql = "DELETE FROM sb_menu_autoriza WHERE id=$idma";
	$consulta = $db->consulta_free($psql);
	}

   }

?>

<script language="javascript" type="text/javascript">

window.close();
</script>
